Consume Agent Suggestion
curl --request POST \
--url https://api.duvo.ai/v2/agents/suggestions/{id}/consume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.duvo.ai/v2/agents/suggestions/{id}/consume"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.duvo.ai/v2/agents/suggestions/{id}/consume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"dedup_key": "<string>",
"resolved_at": "<string>",
"resolved_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"superseded_reason": "<string>",
"superseded_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"sources": [
{
"agent_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_number": 123,
"created_at": "<string>"
}
],
"type": "aop",
"payload": {
"oldSop": "<string>",
"newSop": "<string>"
}
},
"applied_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Suggestions
Consume Agent Suggestion
Apply a suggestion: stage its change into the Agent’s draft revision, then auto-clear any pending suggestions it makes moot.
POST
/
v2
/
agents
/
suggestions
/
{id}
/
consume
Consume Agent Suggestion
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The suggestion's unique identifier
Body
application/json
Was this page helpful?
⌘I